#!/bin/bash

#===============================================================
# SysINFO (dim) v.1.4
#===============================================================
#
# The SYSINFO env variable contains the list of infos to be
# presented in follow syntax:
#
#   SYSINFO="Title1!Command1[; TitleN!CommandN].."
#
# Change default info list according your needs...
# edit the $DIR/bin/.env-sysinfo* file(s)
#
# Have fun! :)
# -Dimitri
#
#===============================================================

# Forcing to use BASH..
# (otherwise most of the scripts will not work as expected..)

if [ "X$BASH_VERSION" = "X" ]
then
  echo "Not using BASH !!! Forcing BASH..."
  sleep 1
  exec /bin/bash "$0" "$@"
  exit 1
fi

# set global sys env
. `dirname $0`/../.env

#----------------------------------------------------------
# infos to print
#----------------------------------------------------------
# System
  . $DIR/bin/.env-sysinfo

# Other infos.. (if any)
  for ext in mysql pgsql oracle
  do
    if [ -r $DIR/bin/.env-sysinfo-$ext ]
    then
      . $DIR/bin/.env-sysinfo-$ext
    fi
  done
#-----------------------------------------------------------

cd $DIR/bin
exec $DIR/bin/WebX $DIR/bin/x.SysINFO
